//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Link do vídeo deste exemplo: https://youtu.be/DMhvJugT2fE

#include <Wire.h> 

#define ENDERECO_TARGET 8

#define BOTAO 2
#define LED 3

void dadosRecebidos()
{
  bool status_led;

  status_led = Wire.read();

  digitalWrite(LED, status_led);
}

void dadosRequisitados()
{
  char *str;

  if(!digitalRead(BOTAO))
  {
    str = "Botão pressionado.";
  }
  else
  {
    str = "Botão não pressionado.";
  }

  Wire.write(str);
}

void setup() 
{
  pinMode(BOTAO, INPUT_PULLUP);
  pinMode(LED, OUTPUT);

  Wire.onReceive(dadosRecebidos); //Define uma função a ser chamada quando dados são enviados pelo controller.

  Wire.onRequest(dadosRequisitados); //Define uma fução a ser chamada quando dados são requisitados pelo controller.

  Wire.begin(ENDERECO_TARGET); //Inicializa a biblioteca, quando o endereço não for passado irá ser o controller no barramento I2C.
}

void loop() 
{

}
